//
//  HelloMultiviewPolygonViewController.m
//  HelloMultiviewPolygon
//
//  Created by Kyoung Shin Park on 10/20/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import "HelloMultiviewPolygonViewController.h"
#import "HelloPolygonViewController.h"

@implementation HelloMultiviewPolygonViewController

- (void)dealloc
{
    [super dealloc];
}

- (void)didReceiveMemoryWarning
{
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Release any cached data, images, etc that aren't in use.
}

#pragma mark - View lifecycle


// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad
{
 	self.title = @"Hello Multiview Polygon";
    [super viewDidLoad];
}


- (void)viewDidUnload
{
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}

- (void)showPolygon:(NSUInteger) numberOfSides
{
	HelloPolygonViewController *hvc = [[HelloPolygonViewController alloc] init];
	hvc.numberOfSides = numberOfSides;
	hvc.title = [NSString stringWithFormat:@"%d", numberOfSides];
    [hvc updateView];
	[self.navigationController pushViewController:hvc animated:YES];
	[hvc release];
}

- (IBAction)triangleButtonPressed:(id)sender {
    [self showPolygon:3];
}

- (IBAction)diamondButtonPressed:(id)sender {
    [self showPolygon:4];
}

- (IBAction)hexagoneButtonPressed:(id)sender {
    [self showPolygon:6];
}
@end
