//
//  HelloPolygonViewController.h
//  HelloPolygon
//
//  Created by Kyoung Shin Park on 9/21/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "PolygonView.h"

@interface HelloPolygonViewController : UIViewController {
    NSUInteger numberOfSides;
    IBOutlet UILabel *label;
    IBOutlet UIButton *decreaseButton;
    IBOutlet UIButton *increaseButton;
    PolygonView *polyView;
}

@property (nonatomic, assign) NSUInteger numberOfSides;
@property (nonatomic, retain) IBOutlet UILabel *label;
@property (nonatomic, retain) IBOutlet UIButton *decreaseButton;
@property (nonatomic, retain) IBOutlet UIButton *increaseButton;
@property (nonatomic, retain) IBOutlet PolygonView *polyView;

- (void)updateView;

- (IBAction)decrease:(id)sender;
- (IBAction)increase:(id)sender;

@end
